Bug 473307 - Compiz hangs the system upon VT switch or resume from suspend2ram
Compiz hangs the system upon VT switch or resume from suspend2ram
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-27 11:10 EST by Andrey Meganov
Modified: 2009-03-05 15:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-03-04 03:26:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
xorg.conf (4.42 KB, text/plain)
2008-11-27 11:10 EST, Andrey Meganov
no flags Details
XORG log (121.04 KB, text/plain)
2008-11-27 15:10 EST, Andrey Meganov
no flags Details

  None (edit)
Description Andrey Meganov 2008-11-27 11:10:00 EST
Created attachment 324898 [details]

Description of problem:
Compiz with radeon driver hangs the system on a VT switch or resume from suspend

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Start the system w. Desktopeffects enabled
2. close the lid and reopen or press Crtl+Alt+F2 Ctrl+Alt+F1
3. Voila
Actual results:
System hangs, Ctrl+Alt+Bksp does not work

Expected results:
Compiz working 

Additional info:
Comment 1 Matěj Cepl 2008-11-27 12:58:47 EST
Could we get /var/log/Xorg.*.log as well, please?

Thank you
Comment 2 Andrey Meganov 2008-11-27 15:10:27 EST
Created attachment 324917 [details]
XORG log
Comment 3 Feng Yu 2008-12-10 12:07:27 EST
I noticed the recent kernel includes several fixes on radeon, however,
With the following system components, the problem still exists:


radeonfb is loaded.
Comment 4 Alex Tucker 2008-12-20 17:08:27 EST
I have the same issue here using a Radeon Mobility X700.  Slightly newer kernel and driver to get past the freezing/crashing/memory corruption that's been driving me mad:


Additionally, there's a diff in the output of glxinfo before and after a VT switch or suspend.  After a fresh boot:

OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 20060815 TCL

while after a switch or suspend:

OpenGL vendor string: Mesa Project
OpenGL renderer string: Software Rasterizer

which surely messes with compiz's head.

Restarting X seems to revert back to the hardware renderer.
Comment 5 Samuel Sieb 2009-02-24 16:27:36 EST
Try with the new xorg-x11-drv-ati package, it has different issues.

Why are you using radeonfb?  Are you using nomodeset as well?  Kernel mode-setting should replace the use of radeonfb.
Comment 6 Alex Tucker 2009-03-03 17:25:04 EST
Seems to work ok now with these versions:


Both suspend to RAM and VT switch work as expected with desktop effects enabled.

I'm not the original poster though...
Comment 7 Andrey Meganov 2009-03-04 03:26:23 EST
I confirm, that everything works as it should with 

Comment 8 Samuel Sieb 2009-03-05 15:01:26 EST
It works now for me as long as I'm using nomodeset.  If not, then X crashes on resume, filed as bug #487222.

Note You need to log in before you can comment on or make changes to this bug.